RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1947028 - Please remove mailx dependency
Summary: Please remove mailx dependency
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 9
Classification: Red Hat
Component: redhat-lsb
Version: 9.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: ---
Assignee: Lukáš Nykrýn
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 1887522
TreeView+ depends on / blocked
 
Reported: 2021-04-07 14:10 UTC by Nikola Forró
Modified: 2021-06-02 12:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-02 12:47:40 UTC
Type: Bug
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)

Description Nikola Forró 2021-04-07 14:10:49 UTC
mailx is supposed to be replaced with s-nail in RHEL 9. Both packages provide /usr/bin/mailx, but only mailx provides /bin/mailx, which is what redhat-lsb-core depends on. Is there a reason for that?

There is a discussion about the change from /usr/bin/mailx to /bin/mailx in bug #460249, but to be honest I don't understand the reasoning.

Comment 1 rlemosor 2021-05-06 18:31:44 UTC
Nikola, what would be the next steps here? What packing work must be done in redhat-lsb-core to remove the dependency on mailx?

Am asking if Troy could kindly help us here or suggest a path forward if need be. Troy, how would you analyse the case?

Comment 2 Troy Dawson 2021-05-06 18:46:48 UTC
/usr/bin/mailx is the same as /bin/mailx, because nowdays /bin is just a symlink to /usr/bin
The discussion you are pointing to is an old one, and is before that symlink became the standard.

Because of that s-nail actually does provide both /usr/bin/mailx and /bin/mailx.  The only real problem is that dnf and rpm doesn't always see it.

If you look at the mailx.spec file you will see it manually has the provides in it.

# For backwards compatibility:
Provides: /bin/mail
Provides: /bin/mailx

My suggestion is to put the same provides in s-nail, because it does indeed provide them.  Something like this.

--- a/s-nail.spec
+++ b/s-nail.spec
@@ -24,6 +24,9 @@ Requires(post):   %{_sbindir}/update-alternatives
 Requires(postun): %{_sbindir}/update-alternatives
 Requires(preun):  %{_sbindir}/update-alternatives
 
+# For backwards compatibility:
+Provides: /bin/mail
+Provides: /bin/mailx
 
 %description
 S-nail provides a simple and friendly environment for sending

Comment 3 Troy Dawson 2021-05-06 18:48:35 UTC
Don't forget to put that change in Fedora, because it looks like it's missing the Provides there as well.

Comment 4 Nikola Forró 2021-05-07 09:10:23 UTC
Ok, let's do it this way, I'll add the virtual provides to s-nail. Is there really a reason for redhat-lsb to depend on /bin/mailx though? Especially since all the other dependencies are /usr/bin/*.

Comment 5 Troy Dawson 2021-05-07 13:27:51 UTC
Very good question.  I have no idea.
I would hope if you contacted them, or opened a bug on it, the package maintainers would know.

Comment 6 Lukáš Nykrýn 2021-06-02 12:47:40 UTC
I spoke to Nikola and this one should be fine. s-nail will have the  /bin/mailx provide


Note You need to log in before you can comment on or make changes to this bug.